Get a campaign
GET
/workspaces/{workspaceId}/tcr-brands/{brandId}/campaigns/{campaignId}
Get a previously created campaign using its identifier.
Treść odpowiedzi
id
string
UUID of the campaign.
name
string
Campaign name
subscription
object
Describes status of Campaign Subscription
Pokaż atrybuty podrzędne
subscription.status
string
Possible values: active, inactive, canceling
subscription.subscribedAt
string
Timestamp (UTC) when the subscription became active.
subscription.updatedAt
string
Timestamp (UTC) when the subscription was last updated.
subscription.cancelledAt
string
Timestamp (UTC) when the subscription was cancelled.
status
string
Campaign status
Possible values: DRAFT, FAILED, PENDING, REJECTED, APPROVED, DECLINED, SUSPENDED, DELETED, EXPIRED
usecase
string
A use case that best matches the purpose of the campaign.
subUsecases
array of string
If use case is MIXED or LOW_VOLUME mixed an array of 2-5 use cases.
description
string
A detailed description of what the campaign is for.
embeddedLink
boolean
Whether messages will contain links. Provide at least one sample containing a link.
embeddedPhone
boolean
Whether messages will contain phone number. Provide at least one sample containing a phone number.
numberPool
boolean
Whether a campaign will be associated with more than 50 numbers e.g. customer service use case.
ageGated
boolean
Whether a campaign contains age-gated content based on carrier/ctia guidelines.
directLending
boolean
Whether a campaign includes content related to direct lending or loan arrangements.
subscriberOptin
boolean
Confirm customer opt in is collected and processed.
subscriberOptout
boolean
Confirm customer opt out is collected and processed.
subscriberHelp
boolean
Confirm an info message is returned if a customer sends "HELP".
samples
array of string
Between 1-5 sample messages, each up to 1024 characters (empty until the campaign is submitted). If directLending, embeddedPhone, embeddedLink is true provide relevant examples.
messageFlow
string
Provide details of how the customer will opt into this campaign. If you have a live web opt-in provide the URL and ensure the page has details on the T&Cs/data collection for opting in, and how to opt out.
helpMessage
string
Help message of the campaign. A help message shall state the name of the service, contact (email or call centre), OPT IN and OPT OUT keywords.
helpKeywords
string
A comma separated list of keywords. Support of the word HELP is the minimum requirement for requesting help/info.
optoutKeywords
string
A comma separated list of keywords. Support of the word STOP is the minimum requirement for OPT OUT.
optinKeywords
string
A comma separated list of keywords. Support of the word START is the minimum requirement for OPT OUT.
optinMessage
string
Provide an example of the message that will be sent after a customer has opted in.
optoutMessage
string
Provide an example of the message that will be sent after a customer has opted out.
termsAndConditions
boolean
Indicates the campaign follows CTIA messaging principles and best practices.
brandId
string
UUID of the brand associated with this campaign. The specified brand MUST be APPROVED.
resellerId
string
UUID of the reseller associated with this campaign. The specified reseller MUST be ACTIVE.
rejection
object
Rejection details
Pokaż atrybuty podrzędne
rejection.description
string
wymagane
Rejection description
rejection.code
string
Rejection code
attachments
array of object
Attachments associated with this campaign.
Pokaż atrybuty podrzędne
attachments.id
string
wymagane
The ID of the attachment.
attachments.status
string
wymagane
Attachment status
Possible values: PENDING, ACTIVE, PENDING_DELETION, DELETED, FAILED, FAILED_DELETION
attachments.createdAt
string
wymagane
Timestamp (UTC) when the attachment was created.
attachments.updatedAt
string
wymagane
Timestamp (UTC) when the attachment was last updated.
attachments.filename
string
wymagane
The original name of the file when it was uploaded.
attachments.mediaUrl
string
The URL to download the attachment.
attachments.contentType
string
wymagane
The detected MIME type of the file.
createdAt
string
Timestamp (UTC) when the campaign was created.
updatedAt
string
Timestamp (UTC) when the campaign was last updated.
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/tcr-brands/{brandId}/campaigns/{campaignId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'| Type | Description |
|---|---|
| CampaignReponse | CampaignResponse object describes a submitted campaign |